legacy-printer-app(8)

NAME
legacy-printer-app - Legacy Printer Application

SYNOPSIS
legacy-printer-app [ SUB-COMMAND ] [ OPTIONS ] [ FILES ]

DESCRIPTION
legacy-printer-app is a Printer Application that can be run standalone or as a dedicated IPP Everywhere network service. legacy-printer-app maps arbitrary classic CUPS drivers to the Printer Application format. If on a system there is no classic installation (DEB, RPM, ... packages, installation from source) of CUPS 2.x or older, but instead, CUPS 3.x or newer is used and/or the CUPS Snap, claasic CUPS drivers are not supported any more and printer drivers can only be provided by means of Printer Applications. legacy-printer-app finds classic CUPS drivers in the locations where they are usually installed for being found by the distribution's classic CUPS 2.x installation, typically filters in /usr/lib/cups/filter, backends in /usr/lib/cups/backend, PPD files (and files generating PPDs) in /usr/share/ppd, /usr/share/cups/model/, /usr/share/cups/drv, and /usr/lib/cups/driver. When opening the Printer Application's web interface (http://localhost:8000/, http://localhost:8001/, ...) and clicking "Add Printer" printers are discovered and available classic drivers offered. Once setting up a printer it gets available as an emulation of a driverless IPP printer and the Printer Application uses the classically installed driver. A classic installation of CUPS or any general CUPS filters (cups-filters package) is not needed.

This way classic CUPS drivers for which no equivalent Printer Application is available, especially manufacturer-supplied proprietary drivers for legacy printers, can be continued to be used with CUPS 3.x or the CUPS Snap.

SUB-COMMANDS
If no sub-command is specified, "submit" is assumed.

The following sub-commands are recognized by legacy-printer-app:

add Add a printer queue.

cancel
    Cancel one or more print jobs.

default
    Get/Set the default printer queue.

delete
    Delete a printer queue.

devices
    List connected printers.

drivers
    List the supported drivers.

jobs
    List pending print jobs.

modify
    Modify a printer queue.

options
    List supported options.

printers
    List the printer queues.

server
    Start a server.

shutdown
    Shutdown a running server.

status
    Show the status of a printer or all printers.

submit
    Submit a file for printing.

OPTIONS
The following options are recognized by legacy-printer-app:

-a  Cancel all jobs.

-d PRINTER
    Specify printer.

-h HOST
    Specify hostname.

-j JOB-ID
    Specify job ID.

-m DRIVER-NAME
    Specify driver.

-n COPIES
    Specify number of copies.

-o NAME=VALUE
    Specify option.

-t TITLE
    Specify job title.

-u URI
    Specify ipp: or ipps: printer/server.

-v DEVICE-URI
    Specify socket: or usb: device.

SEE ALSO
https://github.com/OpenPrinting/pappl-retrofit

COPYRIGHT
Copyright © 2020 by Till Kamppeter. Copyright © 2020 by Michael R Sweet.